
DragonFlyBSD - Bug #2513

Installer w/ UFS set subpartitions too big

02/17/2013 02:35 PM - khindenburg

Status: New Start date: 02/17/2013

Priority: Normal Due date:  

Assignee: swildner % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Running Oracle VM VIrtualBox 4.2.6 on MacOSX + dfly-i386-3.2.2_REL.iso

Installing into entire disk + UFS + default sub-partitions - the following error popups (brevity):

The space allocated in subpartitions (13507) exceeds HD size (12355)

per IRC made bug report

History

#1 - 02/17/2013 09:38 PM - swildner

Can you give some more details on how the VM's controller and disk are configured? 

#2 - 02/18/2013 07:34 AM - khindenburg

I don't see a way to output VirtualBox setup

I did try booting the .iso via #3 and #4 - didn't seem to make any difference that I recall.  I can further test things if you want.

1318MB RAM, PIIX3 chipset, enable Vt-X/AMD-V and Nested Pages -allowed 1 cpu - PAE/NX unchecked - disabled: io apic/efi/hardware clock

controler IDE PIIX4 - use host i/o cache -

IDE Primary master VDI 12.07GB dynamically allocated

IDE Secondary dfly-i386-3.2.2_REL.iso

--

Note that even when I fix this partition issue I can't get dfly to install on the VDI (hangs) - also the 64 iso page dumps during installation - so perhaps

something w/ the VM and not dfly.

-- I vaguely recall at some time I had a VM of dfly running but it might have been years ago

#3 - 02/18/2013 09:34 AM - swildner

- Assignee set to swildner

OK thanks, I've reproduced the partition size issue. The installer simply recommends wrong defaults here. After a bit of downsizing it will install. I will

take a look at it.

Regarding the hang, It installed fine (and booted after that) here using your settings. I set the type to "FreeBSD", dunno if another type gives different

results. But this is vbox 4.2.6 on a Windows host.

What exactly do you mean with hangs? The twiddle stops spinning? Are you able to switch to vty0 (with ALT-F1) which shows the files as they are
copied? 

#4 - 02/18/2013 07:55 PM - khindenburg

It locks up at /bin/cpdup -o -vvv -u /boot /mnt/boot 17%

The system appears to be dead - can't move mouse or Alt+F1

It is using 100% CPU which I allow the VM to use.

#5 - 02/21/2013 12:09 AM - swildner

Another guy (in our IRC channel) had issues with installing DragonFly/x86_64 on VirtualBox on the Mac. Looks like he got it installed, though, and it

crashed later (disk detached out of the blue).

What is the x86_64 issue you are seeing? Is it similar to his (http://djdomics.free.fr/pub/DragonFlyBSD/df64vbox.tiff)?

If it is different, can you give us a screen shot of your x86_64 crash? 

#6 - 02/21/2013 05:41 AM - khindenburg

Yes I get that during installation though

#7 - 02/22/2013 05:41 AM - swildner

On Thu, 21 Feb 2013 14:41:09 +0100, Kurt Hindenburg via Redmine

<bugtracker-admin@leaf.dragonflybsd.org> wrote:

>

> Issue #2513 has been updated by khindenburg.

>

>

> Yes I get that during installation though

Do you get it too if you set the disk controller to SATA or SAS instead of

IDE for the x86_64 attempt?

S.

#8 - 02/22/2013 05:47 AM - c.turner1

On 02/21/13 02:09, Sascha Wildner via Redmine wrote:

> Another guy (in our IRC channel) had issues with installing DragonFly/x86_64 on VirtualBox on the Mac.

> Looks like he got it installed, though, and it crashed later (disk detached out of the blue).

FWIW df32 on vbox / mac mountain lion is pretty stable, at least running head within ~1mo as

a mostly df-mirror-target host (e.g. I haven't used it for much else, except a couple of system builds),

if a 32 bit data point is needed.

cheers,

- chris
#9 - 02/23/2013 09:22 AM - khindenburg

SO far w/ SATA VDI HD the install worked and everything OK.
